Subscribe Discount Buy products(USER_DATA)
API Description
Subscribe Disocunt Buy products
HTTP Request
POST /sapi/v1/accumulator/product/subscribe
Request Weight
1(IP)
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| projectId | LONG | YES | get id from /sapi/v1/accumulator/product/list |
| orderId | STRING | YES | get orderId from /sapi/v1/accumulator/product/list |
| depositAmount | BigDecimal | YES | the amount for subscribing |
| recvWindow | LONG | NO | The value cannot be greater than 60000 |
| timestamp | LONG | YES |
Failed messages:
- Products are not available. // this means APR changes to lower value, or orders are not unavailable.
- Failed. This means System or network errors.
Response Example
{
"positionId": 10208824,
"investAsset": "BTC",
"targetAsset": "USDT",
"depositAmount": "100.12",
"duration": 4,
"strikePrice": "114111",
"knockOutPrice":"118000"
"settleDate": 1709020800000,
"purchaseStatus": "PURCHASE_SUCCESS",//Subscribing,Succeed,Settled,Failed,Refunding,Refunded,Settling
"knockOutApr": "0.3",
"orderId": 8259117597
}